Bug 104649 - PORT UPDATE: net/scapy (+features)
Summary: PORT UPDATE: net/scapy (+features)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-21 12:20 UTC by Anton Karpov
Modified: 2006-11-05 07:30 UTC (History)
1 user (show)

See Also:


Attachments
scapy.diff (1.88 KB, patch)
2006-10-21 12:20 UTC, Anton Karpov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Karpov 2006-10-21 12:20:25 UTC
Current net/scapy port is outdated, and missing some nice features. With this patch, you are able not only to install scapy itself, but also install all third-party modules which scapy may depend on to use some of its features, like pdf graphs drawing, WEP decrypting, and so on. With new OPTIONS you can install a full-featured scapy port.

Fix: please see the following patch

ps: maintainer is CC'ed
Comment 1 Edwin Groothuis freebsd_committer 2006-10-21 12:20:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 VANHULLEBUS Yvan 2006-10-23 09:49:52 UTC
On Sat, Oct 21, 2006 at 11:20:30AM +0000, Edwin Groothuis wrote:
> Maintainer of net/scapy,
> 
> Please note that PR ports/104649 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/104649

The patch is ok for me, thanks for it !


Yvan.

-- 
NETASQ
http://www.netasq.com
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2006-10-23 14:40:33 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 4 Dirk Meyer freebsd_committer 2006-11-05 07:12:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

I will take care of it.
Comment 5 dfilter service freebsd_committer 2006-11-05 07:22:11 UTC
dinoex      2006-11-05 07:22:04 UTC

  FreeBSD ports repository

  Modified files:
    net/scapy            Makefile distinfo 
  Log:
  - update to 1.0.5
  - new OPTIONS
  PR:             104649
  Submitted by:   Anton Karpov
  Approved by:    VANHULLEBUS Yvan (maintainer)
  
  Revision  Changes    Path
  1.3       +22 -4     ports/net/scapy/Makefile
  1.3       +3 -3      ports/net/scapy/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dirk Meyer freebsd_committer 2006-11-05 07:22:29 UTC
State Changed
From-To: open->closed

committed, thanks.